Redmine - Defect #11527

content_for :header_tag not working within partials
2012-07-27 20:43 - Déja Augustine

Status: Needs feedback Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 2.0.3
Description

After upgrading from 1.4 to 2.0.3 this morning, I've noticed a change in a custom plugin | had written. The content_for :header_tag
block does not seem to be being functioning within partials, as in the following example:

plugins/redmine_partial_test/app/views/partial_test/_test.html.erb

@

<% content_for :header_tag do >

<= stylesheet_link_tag 'test.css', :plugin => 'redmine_partial_test' >
<= javascript_include_tag "test.js', :plugin => 'redmine_partial_test' >
<end %>

[...] markup that makes use of the styles and scripts included above [...]

@

This worked just fine in 1.4.x (with the styles/scripts being included on pages that rendered the partial in question), but the stylesheet
and javascript tags are completely absent in 2.x (leaving script/style errors in their wake).

Related issues:
Related to Redmine - Defect #11105: <% content_for :header_tags do %> doesn't... Closed

History

#1 - 2014-09-25 05:47 - Mischa The Evil
- Category set to Plugin API

- Status changed from New to Needs feedback

Hi Déja, | just came around this issue and decided to test the given behavior by generating a simple sample plugin (
https://github.com/MischaTheEVvil/redmine_rm11527). Testing this plugin on a test deployment of Redmine source:/trunk@13366, | cannot reproduce
the behavior described by you?. In my case the plugin's assets are included in page headers also when the content_for :header_tags do blocks are
used in view partials.

Can you please confirm that the defect you reported is still being experienced and, if yes, test the plugin and provide the results and some more
debug info (see submissions wiki page)?

Looking closely at your example it may even be a simple typo [content_for :header_tag do vs content_for :header_tags do] too...

' Details about my test environment...Details about my test environment...

Environment:
0s Ubuntu Server 12.04.5 LTS
Web server Apache 2.2.22
Application server Phusion Passenger 4.0.52, running as Apache module
Database backend MySQL 5.5.38
Redmine version 2.5.2.devel.13366
Ruby version 2.1.2-p95 (2014-05-08) [1686-1linux]
Rails version 3.2.19
Environment development
Database adapter Mysgl2
SCM:
Subversion 1.6.17
Git 1.7.9.5
Filesystem
Redmine plugins:
redmine_rml1527 0.0.1
https://github.com/MischaTheEvil/redmine_rm11527
https://www.redmine.org/projects/redmine/repository/svn/revisions/13366/entry/trunk
https://www.redmine.org/projects/redmine/wiki/Submissions

2 | only tested this on the given trunk version. | haven't tested this with 1.x.x at all. More general: | cannot think that the API has changed that much
between 1.x.x and 2.x.x...

#2 - 2014-11-03 22:43 - Go MAEDA
- Related to Defect #11105: <% content_for :header_tags do %> doesn't work inside hook added
